local mod = Numen
if not mod then return end

local L = AceLibrary("Babble-Spell-2.2")
local rank = "Rank %d"
mod.totemSpells = {
	-- Totemic call
	[L["Totemic Call"]] = "Call",
	-- Earth
	[L["Tremor Totem"]] = "Earth",
	[L["Stoneclaw Totem"]] = "Earth",
	[L["Earthbind Totem"]] = "Earth",
	[L["Strength of Earth Totem"]] = "Earth",
	[L["Stoneskin Totem"]] = "Earth",
	[L["Earth Elemental Totem"]] = "Earth",
	-- Fire
	[L["Totem of Wrath"]] = "Fire",
	[L["Searing Totem"]] = "Fire",
	[L["Magma Totem"]] = "Fire",
	[L["Fire Nova Totem"]] = "Fire",
	[L["Flametongue Totem"]] = "Fire",
	[L["Frost Resistance Totem"]] = "Fire",
	[L["Fire Elemental Totem"]] = "Fire",
	-- Water
	[L["Mana Spring Totem"]] = "Water",
	[L["Healing Stream Totem"]] = "Water",
	[L["Poison Cleansing Totem"]] = "Water",
	[L["Disease Cleansing Totem"]] = "Water",
	[L["Mana Tide Totem"]] = "Water",
	[L["Fire Resistance Totem"]] = "Water",
	-- Air
	[L["Wrath of Air Totem"]] = "Air",
	[L["Grounding Totem"]] = "Air",
	[L["Grace of Air Totem"]] = "Air",
	[L["Windfury Totem"]] = "Air",
	[L["Windwall Totem"]] = "Air",
	[L["Nature Resistance Totem"]] = "Air",
	[L["Tranquil Air Totem"]] = "Air",
	[L["Sentry Totem"]] = "Air",
	-- Weapon
	[L["Flametongue Weapon"]] = "Weapon",
	[L["Windfury Weapon"]] = "Weapon",
	[L["Rockbiter Weapon"]] = "Weapon",
	[L["Frostbrand Weapon"]] = "Weapon",
	-- Shield
	[L["Earth Shield"]] = "Shield",
	[L["Water Shield"]] = "Shield",
	[L["Lightning Shield"]] = "Shield",
}
mod.spellPulse = {
	-- Earth
	[L["Tremor Totem"]] = 3,
	[L["Stoneclaw Totem"]] = 2,
	[L["Earthbind Totem"]] = 3,
	-- Fire
	[L["Magma Totem"]] = 2,
	-- Water
	[L["Mana Spring Totem"]] = 2,
	[L["Healing Stream Totem"]] = 2,
	[L["Mana Tide Totem"]] = 3,
}
mod.spellDuration = {
	-- Earth
	[L["Tremor Totem"]] = 120,
	[L["Stoneclaw Totem"]] = 15,
	[L["Earthbind Totem"]] = 45,
	[L["Strength of Earth Totem"]] = 120,
	[L["Stoneskin Totem"]] = 120,
	[L["Earth Elemental Totem"]] = 120,
	-- Fire
	[L["Totem of Wrath"]] = 120,
	[L["Searing Totem"]] = {
		[rank:format(1)] = 30,
		[rank:format(2)] = 35,
		[rank:format(3)] = 40,
		[rank:format(4)] = 45,
		[rank:format(5)] = 50,
		[rank:format(6)] = 55,
		[rank:format(7)] = 60
	},
	[L["Magma Totem"]] = 20,
	[L["Fire Nova Totem"]] = 5,
	[L["Flametongue Totem"]] = 120,
	[L["Frost Resistance Totem"]] = 120,
	[L["Fire Elemental Totem"]] = 120,
	-- Water
	[L["Mana Spring Totem"]] = 120,
	[L["Healing Stream Totem"]] = 120,
	[L["Poison Cleansing Totem"]] = 120,
	[L["Disease Cleansing Totem"]] = 120,
	[L["Mana Tide Totem"]] = 12,
	[L["Fire Resistance Totem"]] = 120,
	-- Air
	[L["Wrath of Air Totem"]] = 120,
	[L["Grounding Totem"]] = 45,
	[L["Grace of Air Totem"]] = 120,
	[L["Windfury Totem"]] = 120,
	[L["Windwall Totem"]] = 120,
	[L["Nature Resistance Totem"]] = 120,
	[L["Tranquil Air Totem"]] = 120,
	[L["Sentry Totem"]] = 300,
}
mod.spellTalents = {
	[L["Fire Nova Totem"]] = {
		["1-9-1"] = {
			duration = "return %d - 1",
		},
		["1-9-2"] = {
			duration = "return %d - 2",
		},
	}
}